GIT 0.99.8e

Linus Torvalds:
      make checkout-index '-a' flag saner.

Junio C Hamano:
      whatchanged: document -m option from git-diff-tree.
      Functions to quote and unquote pathnames in C-style.
      Update git-apply to use C-style quoting for funny pathnames.
      Do not quote SP.
      git-checkout-index: documentation updates.

Signed-off-by: Junio C Hamano <junkio@cox.net>
diff --git a/Makefile b/Makefile
index a4a5ec4..1e1c1b2 100644
--- a/Makefile
+++ b/Makefile
@@ -48,7 +48,7 @@
 
 # DEFINES += -DUSE_STDEV
 
-GIT_VERSION = 0.99.8d
+GIT_VERSION = 0.99.8e
 
 CFLAGS = -g -O2 -Wall
 ALL_CFLAGS = $(CFLAGS) $(PLATFORM_DEFINES) $(DEFINES)
diff --git a/debian/changelog b/debian/changelog
index 42332b6..a57e339 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+git-core (0.99.8e-0) unstable; urgency=low
+
+  * GIT 0.99.8e
+
+ -- Junio C Hamano <junkio@cox.net>  Mon, 17 Oct 2005 17:45:08 -0700
+
 git-core (0.99.8d-0) unstable; urgency=low
 
   * GIT 0.99.8d
diff --git a/git-clone.sh b/git-clone.sh
index 78c83e8..18e692a 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -54,9 +54,9 @@
 	do
 		name=`expr "$refname" : 'refs/\(.*\)'` &&
 		case "$name" in
-		*^{}) ;;
+		*^*)	;;
 		*)
-			git-http-fetch -v -a -w "$name" "$name" "$1/" || exit 1 ;;
+			git-http-fetch -v -a -w "$name" "$name" "$1/" || exit 1
 		esac
 	done <"$clone_tmp/refs"
 	rm -fr "$clone_tmp"
diff --git a/git-fetch.sh b/git-fetch.sh
index 8fb6fba..360fecd 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -172,7 +172,7 @@
 then
 	taglist=$(git-ls-remote --tags "$remote" |
 		sed -e '
-			/\^{}$/d
+			/\^/d
 			s/^[^	]*	//
 			s/.*/&:&/')
 	if test "$#" -gt 1